Subject: Re: linux-next: build failure after merge of the sound tree (Was: Re: linux-next: build failure after merge of the sound-asoc tree)

From: Mark Brown <[email-masked]>
Date: Sun, 26 Dec 2010 23:59:29 +0000

On Mon, Dec 27, 2010 at 10:49:51AM +1100, Stephen Rothwell wrote:
> On Thu, 23 Dec 2010 02:12:12 +0000 Mark Brown <[email-masked]> wrote:

> > above which can't build on x86 as x86 lacks generic hardirqs.  I've
> > pushed up a change which ifdefs out all the tracepoints when things are
> > built modular, but it seems unfortunate that x86 isn't doing the right
> > thing here, whatever ARM is doing seems to DTRT.

> The first of those errors is now present in the sound tree, so I have
> used the version of the sound tree that would have been in next-20101223
> if I had released it.

Hrm?  I thought you merged the ASoC tree before the sound tree, in which
case the above is somehwat surprising.  If the ASoC tree merged OK then
Takashi it should be a simple case of pulling my for-2.6.38 branch to
resolve the issue.